[package]
name = "politburo"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
async-std = { version = "1.12.0", default-features = false, features = ["async-io", "std"] }
bevy = { version = "0.13.0", features = ["wayland"] }
bevy_asset_loader = "0.20.0"
bevy_editor_pls = "0.8.0"
bevy_egui = { version = "0.25.0", features = ["manage_clipboard"] }
flume = "0.11.0"
futures = "0.3.30"
futures-timer = "3.0.2"
keyframe = { version = "1.1.1", default-features = false }
libp2p = { version = "0.53.2", features = ["async-std", "dns", "dcutr", "identify", "macros", "noise", "ping", "relay", "rendezvous", "tcp", "yamux", "gossipsub"] }
postcard = { version = "1.0.8", features = ["use-std"] }
rand = "0.8.5"
serde = { version = "1.0.195", features = ["derive"] }
tracing = "0.1.40"
tracing-subscriber = { version = "0.3.18", features = ["env-filter"] }
yoke = { version = "0.7.3", features = ["derive"] }

# Enable a small amount of optimization in debug mode
[profile.dev]
opt-level = 1

# Enable high optimizations for dependencies (incl. Bevy), but not for our code:
[profile.dev.package."*"]
opt-level = 3

[profile.release]
lto = true
codegen-units = 1
panic = "abort"
strip = true
